.if !defined(PLESK_COMMON_MK)
PLESK_COMMON_MK= 1

OWN_SITE=http://www.swsoft.com

SW_CATEGORY= swsoft
VALID_CATEGORIES+= ${SW_CATEGORY} 

TOOLS_DIR=${LOCALBASE}/sbin
PKG_DEINSTALL?=${TOOLS_DIR}/pkg_deinstall
PORTUPGRADE?=${TOOLS_DIR}/portupgrade

PACKAGE_INSTALLDIR?= ${LOCALBASE}
SW_WRKDIR= ${PORTSDIR}/${SW_CATEGORY}/work

.if ${MASTERDIR} != ${.CURDIR}
PKGORIGIN= ${MASTER_PORT}
.endif

PKGTOOLS_CONF?= ${LOCALBASE}/etc/pkgtools.conf.swsoft
LOG_FILE=/tmp/portupgrade-%s::%s.log

PRE_DEPENDS_LIST_FILE= ${SW_WRKDIR}/.pre_depends_list.${PORTNAME}
DEPENDS_LIST_FILE= ${SW_WRKDIR}/.depends_list.${PORTNAME}

CHECKED_FILE=${WRKDIR}/.checked.${PORTNAME}

.if !defined(SELF_ORIGIN)
SELF_ORIGIN!= echo ${.CURDIR} | sed -e 's|${PORTSDIR}/||g'
.endif

.if !defined(FETCHDIR)
FETCHDIR= ${DISTDIR}
.endif

.if !defined(FETCH_URLS)
FETCH_URLS!= PKGTOOLS_CONF=${PKGTOOLS_CONF} \
	ruby -e 'require "pkgtools"; init_pkgtools_global; load_config(); $$pkg_sites.map { |i| print i; print "\n"}'
.endif

.if !defined(SW_PACKAGES_DIR)
SW_PACKAGES_DIR!= PKGTOOLS_CONF=${PKGTOOLS_CONF} \
	ruby -e 'require "pkgtools"; init_pkgtools_global; load_config(); $$packages_base.map { |i| print i; print "\n"}'
.endif

PORTUPGRADE_FLAGS= -O -N -w -W -L ${LOG_FILE} 

.if defined(VERBOSE) || defined(PLESK_INSTALLER_DEBUG)
VERBOSE_FLAG=1
PORTUPGRADE_FLAGS+= --verbose
.else
VERBOSE_FLAG=
.endif

_PRE_DEPENDS=
_PRE_CONFLICTS=

SED_ENV+= \
	-e 's|%D|${PACKAGE_INSTALLDIR}|g' \
	-e 's|^\@exec \(.*\)|\"\1\"|g'

SW_MAKEOPTS= \
	    SELF_ORIGIN="${SELF_ORIGIN}" \
	    FETCH_URLS="${FETCH_URLS}" \
	    SW_PACKAGES_DIR="${SW_PACKAGES_DIR}"

.endif # PLESK_OPTIONS_MK
